package com.cmeeting.controller;

import com.cmeeting.pojo.TencentMeetingUser;
import com.cmeeting.service.TecentMeetingService;
import com.tencentcloudapi.wemeet.Client;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static com.cmeeting.WeComAndTencentMeeting.*;

@RestController
@RequestMapping("/tecent")
public class TencentMeetingController {
    @Autowired
    private TecentMeetingService tecentMeetingService;

    @GetMapping("/add")
    public void addUsers() throws Exception {
        dousers();
    }

    private void dousers() {
        /**
         * 腾讯会议通过通讯录获取员工信息
         */
        // 1. 构造client客户端
        Client client = new Client.Builder()
                .withAppId("211153201").withSdkId("28370276340")
                .withSecret("BKOMDZVbvh0iT7k6UHsSizAWBCOVDtT6", "3Y1j0mzNp7KChKFJGyaEnZHLobFoAQ8eLwfaMx8nLbtXAerO")
                .build();

        // 2.获取到全部用户
        List<TencentMeetingUser> users =  fetchUsersInBatches(client, 3);;
        // 3. 检查重名并设置标志
        markDuplicateNamesTecent(users);

        // 4. 批量插入数据库
        tecentMeetingService.batchInsert(users);
    }
}
