package com.cmeeting.pojo;

import lombok.Data;

@Data
public class UserId {
    /**
     * 主键ID
     */
    private Integer id;

    /**
     * 员工姓名
     */
    private String userName;

    /**
     * 企业微信userid
     */
    private String wid;

    /**
     * 腾讯会议userid
     */
    private String tid;

    // 无参构造方法
    public UserId() {
    }

    // 全参构造方法
    public UserId(Integer id, String userName, String wid, String tid) {
        this.id = id;
        this.userName = userName;
        this.wid = wid;
        this.tid = tid;
    }

    // 全参构造方法
    public UserId( String userName, String wid, String tid) {
        this.userName = userName;
        this.wid = wid;
        this.tid = tid;
    }

}
